summaryrefslogtreecommitdiff
path: root/tests/du
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2011-01-25 12:36:22 +0100
committerJim Meyering <meyering@redhat.com>2011-01-25 12:41:47 +0100
commit56699864f63fe69259d4a5c1f94498762d8df78d (patch)
tree5904b91c8e9e9066e641d17ba073bc4de49b4739 /tests/du
parent5c501f6fba5c1e2c4b45ce3f44b2da58d559ebe7 (diff)
downloadcoreutils-56699864f63fe69259d4a5c1f94498762d8df78d.tar.xz
tests: avoid FP failure due to suspension
* tests/du/move-dir-while-traversing: Prohibit suspension, to avoid false-positive failure.
Diffstat (limited to 'tests/du')
-rwxr-xr-xtests/du/move-dir-while-traversing4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/du/move-dir-while-traversing b/tests/du/move-dir-while-traversing
index c711e0262..2a60d6e95 100755
--- a/tests/du/move-dir-while-traversing
+++ b/tests/du/move-dir-while-traversing
@@ -70,6 +70,10 @@ long=d/e/f/g/h/i/j/k/l/m/n/o/p/q/r/s/t/u/v/w/x/y/z
for i in $(seq 30); do
mkdir -p $t/3/a/b/c/$i/$long || framework_failure
done
+
+# Prohibit suspension, which could otherwise cause a timeout-induced FP failure.
+trap '' STOP TSTP
+
timeout 6 ./inotify-watch-for-dir-access.py $t/3/a/b > start-msg &
# Wait for the watcher to start...